Microsoft KB Archive/169551

From BetaArchive Wiki
< Microsoft KB Archive
Revision as of 16:34, 18 July 2020 by 3155ffGd (talk | contribs) (importing KB archive)
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Knowledge Base


INFO: Items Required to Use DAPI

Article ID: 169551

Article Last Modified on 3/12/2004



APPLIES TO

  • Microsoft Exchange Development Kit 5.5
  • Microsoft Exchange Server 4.0 Standard Edition
  • Microsoft Exchange Server 5.0 Standard Edition



This article was previously published under Q169551

SUMMARY

In order to use DAPI on a machine there are several requirements:

  • The machine that the application is running on must be running NT. The DAPI functions do not run on Windows 95.
  • The registry also needs to have the following entries under the key

    HKEY_CURRENT_USER\SOFTWARE\Microsoft\Exchange\MSExchangeAdminCommon:
                            
          AdminLangID          REG_DWORD      0x409
          ANGAutotextFormat    REG_SZ         %First%1Last
          DNGAutotextFormat    REG_SZ         %First %Last
                            
  • Finally, there are three DLLs required to run DAPI and are listed below.

          Dapi.dll
          Libxds.dll
          Exchmem.dll
                            

All of the registry entries and DLLs are installed by the Exchange Admin program.

If these requirements are not met, you may get an error returned, as described in the following article in the Microsoft Knowledge Base:

169552 PRB: Error 80010010 in the NT Application Log on DAPIStart


Keywords: kbinfo kbapi kbmsg kbenv kbsetup kbfaq KB169551